Get inboundSalesOrder
Retrieve the properties and relationships of an inbound sales order object for Business Central.
HTTP Request
Replace the URL prefix for Business Central depending on environment following the guideline.
GET {businesscentralPrefix}companies({id})/inboundSalesOrdersKTG({id})?$expand=inboundSalesOrderLinesWebCon
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request Body
Do not supply a request body for this method.
Response body
If successful, this method returns a 200 OK response code and a inboundSalesOrder object in the response body.
Requests
Here is a example request.
GET https://{businesscentralPrefix}/companies({id})/inboundSalesOrdersKTG({id})?$expand=inboundSalesOrderLinesWebCon
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"id": "4ed6d8a2-3746-ee11-a0d4-d79eec95d161",
"number": "INB00101",
"externalDocumentNumber": "WEBSHOP0001",
"documentDate": "2023-08-28",
"orderDate": "2023-08-28",
"postingDate": "2023-08-28",
"customerId": "00000000-0000-0000-0000-000000000000",
"customerNumber": "",
"contactId": "00000000-0000-0000-0000-000000000000",
"contactNumber": "",
"sellToCustomerTemplateId": "ff6b1563-dcd8-ed11-a7cd-000d3a392f9f",
"sellToCustomerTemplateCode": "DEBITOR UNTERNEHMEN",
"billToCustomerTemplateId": "00000000-0000-0000-0000-000000000000",
"billToCustomerTemplateCode": "",
"customerName": "TSO-DATA GmbH",
"customerName2": "",
"customerFirstName": "Dirk",
"customerSurName": "Frommeyer",
"billToName": "",
"billToName2": "",
"billToFirstName": "",
"billToSurName": "",
"billToCustomerId": "00000000-0000-0000-0000-000000000000",
"billToCustomerNumber": "",
"billToContactId": "00000000-0000-0000-0000-000000000000",
"billToContactNumber": "",
"shipToName": "",
"shipToName2": "",
"shipToFirstName": "",
"shipToSurName": "",
"shipToContact": "",
"sellToAddressLine1": "Preußenweg 10",
"sellToAddressLine2": "",
"sellToCity": "Osnabrück",
"sellToCountry": "",
"sellToState": "",
"sellToPostCode": "49076",
"billToAddressLine1": "",
"billToAddressLine2": "",
"billToCity": "",
"billToCountry": "",
"billToState": "",
"billToPostCode": "",
"shipToAddressLine1": "",
"shipToAddressLine2": "",
"shipToCity": "",
"shipToCountry": "",
"shipToState": "",
"shipToPostCode": "",
"shipToPostNumber": "",
"shipToParcelStationNumber": "",
"shipToPostOfficeNumber": "",
"currencyId": "00000000-0000-0000-0000-000000000000",
"currencyCode": "",
"pricesIncludeTax": true,
"paymentTermsId": "00000000-0000-0000-0000-000000000000",
"paymentMethodId": "0705383f-dcd8-ed11-a7cd-000d3a392f9f",
"paymentMethodCode": "BANK",
"shipmentMethodId": "00000000-0000-0000-0000-000000000000",
"shipmentMethodCode": "",
"shippingAgentId": "af562a39-dcd8-ed11-a7cd-000d3a392f9f",
"shippingAgentCode": "DHL",
"shippingAgentServiceId": "ec48086f-dcd8-ed11-a7cd-000d3a392f9f",
"shippingAgentServiceCode": "STANDARD",
"campaignId": "26721563-dcd8-ed11-a7cd-000d3a392f9f",
"campaignNumber": "KP1004",
"responsibilityCenterId": "6348086f-dcd8-ed11-a7cd-000d3a392f9f",
"responsibilityCenter": "HAMBURG",
"salesperson": "BK",
"lastModifiedDateTime": "2023-08-29T06:45:27.437Z",
"phoneNumber": "+4954113950",
"email": "info@tso.de",
"vatRegistrationNumber": "DE 117 647 926",
"billToVATRegistrationNumber": "",
"paymentTransactionId": "",
"paymentTransactionCode": "",
"paymentTransactionAmount": 0,
"distributionChannelCode": "EBAY",
"freightAmount": 0,
"inboundSalesOrderLinesWebCon": [
{
"@odata.etag": "W/\"JzIwOzE2MTY5OTU4Mzk4OTEyNjA0OTU4MTswMDsn\"",
"id": "4fd6d8a2-3746-ee11-a0d4-d79eec95d161",
"documentId": "4ed6d8a2-3746-ee11-a0d4-d79eec95d161",
"sequence": 10000,
"itemId": "c8463045-dcd8-ed11-a7cd-000d3a392f9f",
"itemNumber": "1920-S",
"accountId": "00000000-0000-0000-0000-000000000000",
"resourceId": "00000000-0000-0000-0000-000000000000",
"lineType": "Item",
"description": "ANTWERP Konferenztisch",
"description2": "groß",
"unitOfMeasureId": "ec562a39-dcd8-ed11-a7cd-000d3a392f9f",
"unitOfMeasureCode": "STÜCK",
"quantity": 1,
"unitPrice": 651.1,
"discountAmount": 11.1,
"discountPercent": 0,
"taxPercent": 0,
"netAmount": 0,
"netAmountIncludingTax": 0,
"itemVariantId": "00000000-0000-0000-0000-000000000000",
"itemVariantCode": "",
"locationCode": "BLAU",
"locationId": "12572a39-dcd8-ed11-a7cd-000d3a392f9f"
}
]
}
See also
Tips for working with the APIs
inboundSalesOrder
Update inboundSalesOrder
Delete inboundSalesOrder
Create inboundSalesOrder